Bug 31422 - Xamarin Forms Entry control and iOS Keyboard Shortcuts Problem
Summary: Xamarin Forms Entry control and iOS Keyboard Shortcuts Problem
Status: VERIFIED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: iOS (show other bugs)
Version: 1.4.4
Hardware: PC Mac OS
: Normal normal
Target Milestone: ---
Assignee: Seth Rosetter
URL:
Depends on:
Blocks:
 
Reported: 2015-06-26 16:23 UTC by Brian
Modified: 2016-11-23 15:12 UTC (History)
10 users (show)

Tags: ac
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description Brian 2015-06-26 16:23:51 UTC
I have an iOS keyboard shortcut that changes the text to "On My Way" when I type in "omw". When I enter "omw" into an Entry control, the text displayed is correctly displayed as "On My Way", but the Text Property of the entry control is still "omw".

You can test it with this code snippet:

var testEntry = new Entry();
var testButton = new Button();
testButton.Clicked += (sender, e) => DisplayAlert("Test", testEntry.Text, "OK"); // Displays "omw"

Content = new StackLayout 
{
Orientation = StackOrientation.Vertical,
VerticalOptions = LayoutOptions.StartAndExpand,
Children = { testEntry, testButton }

};
Comment 1 Jason Smith [MSFT] 2015-07-14 21:10:30 UTC
Annoyingly iOS doesn't seem to trigger the EditingChanged event when this happens.
Comment 2 adrianknight89 2016-09-30 16:26:37 UTC
See https://github.com/xamarin/Xamarin.Forms/pull/401
Comment 3 Samantha Houts [MSFT] 2016-10-20 19:34:06 UTC
Should be fixed in 2.3.4-pre1. Thank you!
Comment 4 Parmendra Kumar 2016-11-23 15:12:36 UTC
I have checked this issue with Xamarin.Forms 2.3.4-pre1 and observed that this issue has been fixed.

Screencast: http://www.screencast.com/t/uXVgVTZnj

Hence closing this issue.

Thanks.